import { StorageStatisticsByTimeDto, StorageStatisticsSegmentDto } from "@upload-io/upload-shared-iso";
import { StorageStatisticsSegmentUnboxedDto } from "../../../../statistics/storage/dtos/shared/StorageStatisticsSegmentDto";
import { StorageStatisticsByTimeUnboxedDto } from "../../../../statistics/storage/dtos/shared/StorageStatisticsByTimeDto";
export interface CacheStatisticsDto {
    all: StorageStatisticsSegmentDto;
    byCacheId: {
        [cacheId: string]: StorageStatisticsSegmentDto | undefined;
    };
    byTime: StorageStatisticsByTimeDto;
}
export interface CacheStatisticsUnboxedDto {
    all: StorageStatisticsSegmentUnboxedDto;
    byCacheId: {
        [cacheId: string]: StorageStatisticsSegmentUnboxedDto | null;
    };
    byTime: StorageStatisticsByTimeUnboxedDto;
}
export declare namespace CacheStatisticsDto {
    const empty: CacheStatisticsDto;
    function combine(left: CacheStatisticsDto, right: CacheStatisticsDto): CacheStatisticsDto;
}
