import { StorageStatisticsSegmentDto, StorageStatisticsSegmentUnboxedDto } from "../../../../statistics/storage/dtos/shared/StorageStatisticsSegmentDto";
import { UploadStatisticsDto, UploadStatisticsUnboxedDto } from "../../../../statistics/storage/dtos/shared/UploadStatisticsDto";
import { CacheStatisticsDto, CacheStatisticsUnboxedDto } from "../../../../statistics/storage/dtos/shared/CacheStatisticsDto";
export interface StorageStatisticsDto {
    all: StorageStatisticsSegmentDto;
    caches: CacheStatisticsDto;
    uploads: UploadStatisticsDto;
}
export interface StorageStatisticsUnboxedDto {
    all: StorageStatisticsSegmentUnboxedDto;
    caches: CacheStatisticsUnboxedDto;
    uploads: UploadStatisticsUnboxedDto;
}
export declare namespace StorageStatisticsDto {
    const empty: StorageStatisticsDto;
    function combine(left: StorageStatisticsDto, right: StorageStatisticsDto): StorageStatisticsDto;
}
