import { NonEmptyArray } from "@upload-io/upload-shared-iso";
import {
  TransformationMimeScope,
  TransformationTagScope,
  TransformationUrlSlug
} from "@upload-io/upload-shared-iso/common/model/Primitives";

export interface TransformationPath {
  scope: {
    mime: NonEmptyArray<TransformationMimeScope>;
    tag: NonEmptyArray<TransformationTagScope>;
  };
  slug: TransformationUrlSlug;
}
