import {
  DailyMonthlyDurationsDto,
  DailyMonthlyDurationsUnboxedDto
} from "@upload-io/upload-shared-iso/statistics/storage/dtos/shared/DailyMonthlyDurationsDto";

export interface TransformationStatisticsDto {
  byTime: DailyMonthlyDurationsDto;
}

export interface TransformationStatisticsUnboxedDto {
  byTime: DailyMonthlyDurationsUnboxedDto;
}

export namespace TransformationStatisticsDto {
  export const empty: TransformationStatisticsDto = {
    byTime: DailyMonthlyDurationsDto.empty
  };

  export function combine(
    left: TransformationStatisticsDto,
    right: TransformationStatisticsDto
  ): TransformationStatisticsDto {
    return {
      byTime: DailyMonthlyDurationsDto.combine(left.byTime, right.byTime)
    };
  }
}
